[arch-commits] Commit in libxvmc/repos (3 files)

Eric Bélanger eric at archlinux.org
Tue Apr 14 22:13:21 EDT 2009


    Date: Tuesday, April 14, 2009 @ 22:13:20
  Author: eric
Revision: 35663

Merged revisions 35655 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libxvmc/trunk

........
  r35655 | eric | 2009-04-14 21:41:38 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libxvmc 1.0.4-2
      Added license
........

Added:
  libxvmc/repos/extra-i686/LICENSE
    (from rev 35655, libxvmc/trunk/LICENSE)
Modified:
  libxvmc/repos/extra-i686/	(properties)
  libxvmc/repos/extra-i686/PKGBUILD

----------+
 LICENSE  |   23 +++++++++++++++++++++++
 PKGBUILD |   13 +++++++------
 2 files changed, 30 insertions(+), 6 deletions(-)


Property changes on: libxvmc/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libxvmc/trunk:1-20841
   + /libxvmc/trunk:1-35662

Copied: libxvmc/repos/extra-i686/LICENSE (from rev 35655, libxvmc/trunk/LICENSE)
===================================================================
--- extra-i686/LICENSE	                        (rev 0)
+++ extra-i686/LICENSE	2009-04-15 02:13:20 UTC (rev 35663)
@@ -0,0 +1,23 @@
+Copyright (c) 1995, 1996  The XFree86 Project, Inc
+XvMCWrapper.c - Copyright (c) 2004 The Unichrome project. All rights reserved.
+XvMCWrapper.c - Author: Thomas Hellström (2004)
+
+All Rights Reserved.
+
+Permission is hereby granted, free of charge, to any person obtaining a
+copy of this software and associated documentation files (the "Software"),
+to deal in the Software without restriction, including without limitation
+the rights to use, copy, modify, merge, publish, distribute, sublicense,
+and/or sell copies of the Software, and to permit persons to whom the
+Software is furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHOR(S) OR COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
+DEALINGS IN THE SOFTWARE.

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-15 02:11:41 UTC (rev 35662)
+++ extra-i686/PKGBUILD	2009-04-15 02:13:20 UTC (rev 35663)
@@ -3,21 +3,22 @@
 
 pkgname=libxvmc
 pkgver=1.0.4
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Video Motion Compensation extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxv>=1.0.3')
 makedepends=('pkgconfig')
 options=('!libtool')
-source=(${url}/releases/individual/lib/libXvMC-${pkgver}.tar.bz2)
-md5sums=('b54600573daf9d1a29b952e8d35b389e')
+source=(${url}/releases/individual/lib/libXvMC-${pkgver}.tar.bz2 LICENSE)
+md5sums=('b54600573daf9d1a29b952e8d35b389e' 'ca9d908b0fa487a213802ff38336259d')
 
 build() {
-  cd ${startdir}/src/libXvMC-${pkgver}
+  cd ${srcdir}/libXvMC-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 ../LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-



More information about the arch-commits mailing list